Subject: Re: [Bitcoin-development] On-going data spam

From: Peter Todd <[email-masked]>
Date: Tue, 9 Apr 2013 07:09:11 -0400

On Tue, Apr 09, 2013 at 12:42:12PM +0200, Mike Hearn wrote:
> hack by changing the protocol. Nodes can serve up blocks encrypted under a
> random key. You only get the key when you finish the download. A blacklist

NAK

Makes bringing up a new node dependent on other nodes having consistent
uptimes, particularly if you are on a low-bandwidth connection.

> can apply to Bloom filtering such that transactions which are known to be
> "abusive" require you to fully download the block rather than select the
> transactions with a filter. This means that people can still access the

NAK

No blacklists

-- 
'peter'[:-1]@petertodd.org